/* UMark
 * Copyright (C)2003-2005 Jeffrey Bakker

 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
   ___________________________________ .. .
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>

#include "interface.h"
#include "support.h"

/*** construct GtkTreeViews **************************************************/
static GtkTreeModel *
create_fill_batchlist(void)
{
	GtkListStore	*store;
	GtkTreeIter	iter;

	store = gtk_list_store_new(1, G_TYPE_STRING);

	return GTK_TREE_MODEL(store);
}

/* static GtkWidget* */
void
create_model_batchlist(GtkWidget *TVBL)
{
	GtkTreeViewColumn	*col;
	GtkCellRenderer		*renderer;
	GtkTreeModel		*model;
	GtkWidget		*view;

	view = TVBL;
	renderer = gtk_cell_renderer_text_new();
	gtk_tree_view_insert_column_with_attributes(GTK_TREE_VIEW(view),
							-1,
							"Map List",
							renderer,
							"text", 0,
							NULL);

	model = create_fill_batchlist();

	gtk_tree_view_set_model(GTK_TREE_VIEW(view), model);
	g_object_unref(model);

/*	return view; */
}

/*** main ********************************************************************/
int
main (int argc, char *argv[])
{
/* TODO: use utxinfo.pl to grab installed versions of UT200x and fill 
	 the UT200x version combobox accordingly */

	GtkWidget *UMarkDlg;
	GtkWidget *AboutDlg;
	GtkWidget *PresetsDlg;

	gnome_program_init (PACKAGE, VERSION, LIBGNOMEUI_MODULE,
			argc, argv,
			GNOME_PARAM_APP_DATADIR, PACKAGE_DATA_DIR,
			NULL);

	if(argc > 1)
	{

	}
	else
	{

	}

	UMarkDlg = create_UMarkDlg();
	gtk_widget_show(UMarkDlg);

	create_model_batchlist(lookup_widget( GTK_WIDGET(UMarkDlg), "TvBatchList") );

	gtk_main();

	return 0;
}
