#!/usr/bin/perl -w

 # UMark
 # Copyright (C)2003-2004 Jeffrey Bakker

 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation; either version 2 of the License, or
 # (at your option) any later version.

 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.

 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

 # This script is used to gather the information, in which reveals
 # the complete path to execute UT200x. UMark will use this information
 # to determine which games are installed, and how to launch it.


use strict;

my $ut2003;
my $ut2004;
my $ut2k3d;

if(system("which ut2003 1>/dev/null") != 0)
{
	$ut2003 = "n/a";
}
else
{
	($ut2003 = `ls -l \`which ut2003\``) =~ s/.*->\s{0,}//g;
}

if(system("which ut2004 1>/dev/null") != 0)
{
	$ut2004 = "n/a";
}
else
{
	($ut2004 = `ls -l \`which ut2004\``) =~ s/.*->\s{0,}//g;
}

if(system("which ut2003_demo 1>/dev/null") != 0)
{
	$ut2k3d = "n/a";
}
else
{
	($ut2k3d = `ls -l \`which ut2003_demo\``) =~ s/.*->\s{0,}//g;
}

chomp $ut2003;
chomp $ut2004;
chomp $ut2k3d;

print "$ut2003\n";
print "$ut2004\n";
print "$ut2k3d\n";
